rte_dma_inter_domain_param(3)

NAME
rte_dma_inter_domain_param

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

enum rte_dma_inter_domain_type type
uint16_t src_handler
uint16_t dst_handler
uint64_t reserved [2]

Detailed Description

Parameters for inter-process or inter-OS DMA transfers.

Warning
    EXPERIMENTAL: this API may change without prior notice.

This structure defines the parameters required to perform DMA transfers across different domains, such as between processes or operating systems. It includes the domain type and handler identifiers for both the source and destination domains.

When domain type is RTE_DMA_INTER_DOMAIN_NONE, both source and destination handlers are invalid, DMA operation is confined within the local process.

For DMA transfers between the local process or OS domain to another process or OS domain, valid source and destination handlers must be provided.

Definition at line 633 of file rte_dmadev.h.

Field Documentation

  enum rte_dma_inter_domain_type type
Type of inter-domain.

Definition at line 635 of file rte_dmadev.h.

  uint16_t src_handler
Source domain handler identifier.

Definition at line 637 of file rte_dmadev.h.

  uint16_t dst_handler
Destination domain handler identifier.

Definition at line 639 of file rte_dmadev.h.

  uint64_t reserved[2]
Reserved for future fields.

Definition at line 641 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.